#!/usr/bin/perl
#
#  (Karol Miaskiewicz, March 2009)

BEGIN { push(@INC, '/home/www/ifstat') } ;
use strict ;
use Ifstat ;

###  print the header
&Ifstat::Header ;

###  get the list of hosts 
opendir(DATADIR, "$Ifstat::datadir") || die("Cannot open directory") ; 
my ($dd, $i, $dir) ;
my (@hosts, @months) ;
@hosts = readdir(DATADIR) ;
closedir(DATADIR) ;
foreach my $tt (sort @hosts) {
  $dd = "$Ifstat::datadir"."/$tt" ;
  if ((-d $dd) && ($dd !~ /^.+\/\.+$/))  {
    print "<div class=\"h2\">$tt</div>\n" ; 
    $dir = "$Ifstat::datadir"."/$tt" ;
    opendir(DATADIR, "$dir") || die("Cannot open directory $dir") ;
    @months = readdir(DATADIR) ;
    closedir(DATADIR) ;
    my $j = -20 ;
    my $k = "px" ;
    foreach my $mm (sort @months) {
       unless ($mm =~ /^\.+$/)  {
          if ($j > 500) { $j = -20; print "<br>\n" }
          $j = $j + 100 ;
          $k = $j."px" ;
          print "<div style=\"position: absolute; left: $k;\">
<a href=\"./display.cgi?host=$tt\&file=$mm\">$mm</a></div>\n" ;
       }
    }
    print "<br>\n" ; 
  }
}

## finish html
print "</body></html>\n" ;

exit(0) ;

